import * as React from 'react'
import { Box, Typography, Icon, Button, unityTheme } from '@ntpkunity/controls'
import { ControlWrap } from './emailVerificationLinkStyle'

export const EmailVerificationLinkComponent: React.FC = () => {
  return (
    <ControlWrap theme={unityTheme} className="control-wrap">
      <Box theme={unityTheme} mb={4}>
        <Button defaultBtn theme={unityTheme} startIcon={<Icon name="IconLeftArrow" />} text='Go Back' />
      </Box>
      <Typography theme={unityTheme} variant="h2" component='h2'>
        Verification Email Sent
      </Typography>
      <Box theme={unityTheme} className="scrollable-content" pt={4}>
      <Typography className='text-muted' theme={unityTheme} variant='body1' component='p'>A verification email has been sent to <span className='text-dark'>sample@sample.com.</span> Please click the link in the email to continue your sign up process. The verification link is valid for <span className='text-dark'>30 minutes.</span></Typography>
        <Typography mt={2} theme={unityTheme} className='text-muted' variant='body1' component='p'>Didn’t receive verification email? <a href="#" className="decoration-none text-primary">Resend</a></Typography>
      </Box>
    </ControlWrap>
  )
}

export default EmailVerificationLinkComponent
