import * as React from 'react'
import { Box, Typography, Input, Button, unityTheme } from '@ntpkunity/controls'
import { ControlWrap } from './forgotPasswordStyle'

const ForgotPasswordComponent: React.FC = () => {
  return (
    <ControlWrap theme={unityTheme} className="control-wrap">
      <Typography theme={unityTheme} variant="h2" component='h2' mb={4}>
        Forgot Password?
      </Typography>
      <Box theme={unityTheme} className="scrollable-content" mb={4}>
        <Input theme={unityTheme} fullWidth type={'text'} label='Enter Your Registered Email Address' />
      </Box>
      <Button type={'submit'} primary text='Send Reset Link' fullWidth theme={unityTheme} />
      <Box theme={unityTheme} mt={4}>
        <Typography theme={unityTheme} className='text-muted' variant='body2' component='span'>
          Please enter your registered email address for security purposes. When you receive the reset password email, please follow the instructions.
        </Typography>
      </Box>
    </ControlWrap>
  )
}

export default ForgotPasswordComponent
