import * as React from 'react'
import { Box, Typography, Input, Button, Icon, unityTheme } from '@ntpkunity/controls'
import { ControlWrap } from './resetPasswordStyle'

export const ResetPasswordComponent: React.FC = () => {
  return (
    <ControlWrap theme={unityTheme} className="control-wrap">
      <Typography theme={unityTheme} variant="h2" component='h2' mb={1}>
        Reset Your Password
      </Typography>
      <Typography theme={unityTheme} className='text-muted' variant='body2' component='span'>
        The password should be 8 to 15 characters long, which must includes uppercase, lowercase, digit and special character.
      </Typography>
      <Box theme={unityTheme} className="scrollable-content" pt={4} mb={3}>
        <Input theme={unityTheme} fullWidth type={'Password'} label='Enter New Password' endAdornment={<Icon name='IcView' />} />
        <Input theme={unityTheme} fullWidth type={'Password'} label='Confirm Password' endAdornment={<Icon name='IcView' />} />
      </Box>
      <Button type={'submit'} primary text='Save Password' fullWidth theme={unityTheme} />
    </ControlWrap>
  )
}

export default ResetPasswordComponent
