import * as React from 'react'
import { Box, Typography, Input, Button, unityTheme, Checkbox } from '@ntpkunity/controls'
import { ControlWrap } from './signupStyle'
// import CaptchaImage from '../../../../shared/assets/images/reCAPTCHA.svg'

export const SignupComponent: React.FC = () => {
  return (
    <ControlWrap theme={unityTheme} className="control-wrap">
      <Typography theme={unityTheme} variant="h2" component='h2' mb={4}>
          Let&apos;s Get <span className='text-primary'>Started</span>
      </Typography>
      <Box theme={unityTheme} className="scrollable-content">
        <Input theme={unityTheme} fullWidth type={'text'} label='Enter Your Email Address' />
        <Typography theme={unityTheme} variant="body2" component="span" className='text-muted' display='block' mb={4}>We will send you a verification link on this email address to continue with your sign up process.</Typography>
      </Box>
      <Box theme={unityTheme} className="captcha" mb={4}>
        <Checkbox theme={unityTheme} label="I'm not a robot" />
        {/* <img src={CaptchaImage} alt="Captcha" /> */}
      </Box>
      <Button type={'submit'} primary text='Send Verification Link' fullWidth theme={unityTheme} />
      <Box theme={unityTheme} mt={4}>
        <Typography theme={unityTheme} className='text-muted' variant='body2' component='span'>
          Already a member? <a href="#" className="decoration-none text-primary">Login</a>
        </Typography>
      </Box>
    </ControlWrap>
  )
}

export default SignupComponent
