import * as React from 'react'
import { Box, Typography, Input, Button, unityTheme, Grid, Select, Checkbox } from '@ntpkunity/controls'
import { TenantWrap } from './tenantProfileStyle'

export const TenantProfileComponent: React.FC = () => {
  const select = [{ text: 'Select', value: 'Select' }]
  return (
    <TenantWrap theme={unityTheme} className="control-wrap">
      <Typography theme={unityTheme} variant="h2" component='h2' mb={4}>
          Define Your <span className='text-primary'>Corporate Profile</span>
      </Typography>
      <Box theme={unityTheme} className="scrollable-content">
        <Grid container item spacing={3} theme={unityTheme}>
          <Grid theme={unityTheme} item xl={6} sm={6} xs={12}>
            <Input theme={unityTheme} fullWidth type={'text'} label='Company Name' />
          </Grid>
          <Grid theme={unityTheme} item xl={6} sm={6} xs={12}>
            <Select theme={unityTheme} label='Industry (Optional)' items={select} sxProps={''} />
          </Grid>
          <Grid theme={unityTheme} item xl={12} sm={12} xs={12}>
            <Input theme={unityTheme} fullWidth type={'text'} label='Industry Name' />
          </Grid>
          <Grid theme={unityTheme} item xl={6} sm={6} xs={12}>
            <Select theme={unityTheme} label='Country' items={select} sxProps={''} />
          </Grid>
          <Grid theme={unityTheme} item xl={6} sm={6} xs={12}>
            <Input theme={unityTheme} fullWidth type={'text'} label='Business Contact Number (Optional)'/>
          </Grid>
        </Grid>
      </Box>
      <Box theme={unityTheme} mt={3}>
        <Checkbox theme={unityTheme} label="I agree to receive marketing material related to product(s)." />
      </Box>
      <Box theme={unityTheme} mt={3}>
        <Button type={'submit'} primary text='Continue' fullWidth theme={unityTheme} />
      </Box>
      {/* <Box theme={unityTheme} className='progress-steps'>
        <Box theme={unityTheme} className='previous-step progress-step'>
          <LinearProgressBar theme={unityTheme} value={100} />
        </Box>
        <Box theme={unityTheme} className='active-step progress-step'>
          <LinearProgressBar theme={unityTheme} value={100} />
        </Box>
        <Box theme={unityTheme} className='progress-step'>
          <LinearProgressBar theme={unityTheme} value={0} />
        </Box>
      </Box>
      <Typography
        theme={unityTheme}
        variant='caption'
        component='small'
        display={'block'}
        textAlign={'center'}
        mt={2}
        >
        50% Completed
      </Typography> */}
    </TenantWrap>
  )
}

export default TenantProfileComponent
