import * as React from 'react'
import { Box, Typography, Input, Icon, Button, unityTheme, Grid } from '@ntpkunity/controls'
import { ProfileWrap } from './userProfileStyle'

const UserProfileComponent: React.FC = () => {
  return (
    <ProfileWrap theme={unityTheme} className="control-wrap">
      <Typography theme={unityTheme} variant="h2" component='h2' mb={4}>
          Setup Your <span className='text-primary'>Profile</span>
      </Typography>
      <Box theme={unityTheme} className="scrollable-content">
        <Grid container item spacing={3} theme={unityTheme}>
          <Grid theme={unityTheme} item xl={6} sm={6} xs={12}>
            <Input theme={unityTheme} fullWidth type={'text'} label='First Name' />
          </Grid>
          <Grid theme={unityTheme} item xl={6} sm={6} xs={12}>
            <Input theme={unityTheme} fullWidth type={'text'} label='Last Name (Optional)' />
          </Grid>
          <Grid theme={unityTheme} item xl={12} sm={12} xs={12}>
            <Box theme={unityTheme}>
              <Input theme={unityTheme} fullWidth type={'Password'} label='Create Password' helperText='The password should be 8 to 15 characters long, which must includes uppercase, lowercase, digit and special character.' endAdornment={<Icon name='IcView' />} />
            </Box>
          </Grid>
          <Grid theme={unityTheme} item xl={12} sm={12} xs={12}>
            <Input theme={unityTheme} fullWidth type={'Password'} label='Confirm Password' endAdornment={<Icon name='IcView' />} />
          </Grid>
        </Grid>
        <Box theme={unityTheme} mt={4}>
          <Button type={'submit'} primary text='Continue' fullWidth theme={unityTheme} />
        </Box>
        {/* <Box theme={unityTheme} className='progress-steps'>
          <Box theme={unityTheme} className='active-step progress-step'>
            <LinearProgressBar theme={unityTheme} value={100} />
          </Box>
          <Box theme={unityTheme} className='progress-step'>
            <LinearProgressBar theme={unityTheme} value={0} />
          </Box>
          <Box theme={unityTheme} className='progress-step'>
            <LinearProgressBar theme={unityTheme} value={0} />
          </Box>
        </Box>
        <Typography
          theme={unityTheme}
          variant='caption'
          component='small'
          display={'block'}
          textAlign={'center'}
          mt={2}
          >
          25% Completed
        </Typography> */}
      </Box>
    </ProfileWrap>
  )
}

export default UserProfileComponent
